Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.junit
Class EmbeddedTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jboss.test.AbstractTestCase
                  org.jboss.test.AbstractTestCaseWithSetup
                      org.jboss.test.JBossTestCase
                          org.jboss.embedded.junit.EmbeddedTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class EmbeddedTestCase

extends org.jboss.test.JBossTestCase

Base test class that extends JBossTestCase

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.test.JBossTestCase
`delegate, deploymentException, log`

Constructor Summary
`EmbeddedTestCase(java.lang.String name)`

Method Summary
`static junit.framework.Test` | `getAdaptedSetup(java.lang.Class clazz, java.lang.String jarName)`
`static org.jboss.test.AbstractTestDelegate` | `getDelegate(java.lang.Class clazz)` Overriden to return JBossTestServices as the test delegate.

Methods inherited from class org.jboss.test.JBossTestCase
`deploy, flushAuthCache, flushAuthCache, getBeanCount, getDeployerName, getDeploySetup, getDeploySetup, getDeploySetup, getDeployURL, getInitialContext, getIterationCount, getJndiInitFactory, getJndiURL, getLog, getResourceURL, getServer, getServerHost, getThreadCount, invoke, redeploy, resetDelegate, restartDBPool, serverFound, setUp, sleep, tearDown, undeploy`

Methods inherited from class org.jboss.test.AbstractTestCaseWithSetup
`enableTrace, getDelegate, resumeSecurity, suite, suspendSecurity`

Methods inherited from class org.jboss.test.AbstractTestCase
`assertEmpty, assertEmpty, assertEmpty, assertEquals, assertEquals, assertEquals, assertEquals, assertInstanceOf, assertInstanceOf, configureLogging, deserialize, failure, findResource, getResource, checkDeepThrowable, checkDeepThrowableRethrow, checkThrowable, checkThrowableRethrow, serialize, serializeDeserialize`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedTestCase

    public EmbeddedTestCase(java.lang.String name)

Method Detail

### getAdaptedSetup

    public static junit.framework.Test getAdaptedSetup(java.lang.Class clazz,
                                                       java.lang.String jarName)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDelegate

    public static org.jboss.test.AbstractTestDelegate getDelegate(java.lang.Class clazz)
                                                           throws java.lang.Exception

  Overriden to return JBossTestServices as the test delegate.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD